repos:
  - repo: local
    hooks:
      - id: jupyter-nb-clear-output
        name: jupyter-nb-clear-output
        files: \.ipynb$
        stages: [commit]
        language: system
        entry: jupyter nbconvert --ClearOutputPreprocessor.enabled=True --inplace

  - repo: https://github.com/jazzband/pip-tools
    rev: 6.12.0
    hooks:
      - id: pip-compile
        files: ^code/requirements\.(in|txt)$
        args: [code/requirements.in, --allow-unsafe, --generate-hashes, --resolver=backtracking]

  - repo: https://github.com/PyCQA/bandit
    rev: 1.7.4
    hooks:
      - id: bandit
        args: [--ini, .bandit]
        exclude: ^tests/

  - repo: https://github.com/pycqa/isort
    rev: 5.10.1
    hooks:
      - id: isort

  - repo: https://github.com/psf/black
    rev: 22.6.0
    hooks:
      - id: black

  - repo: https://github.com/pycqa/flake8
    rev: 4.0.1
    hooks:
      - id: flake8
